## org.eclipse.amp.agf3d
Class ScapeEdit3DPart.Scape3DLayoutManager

    java.lang.Object
      XYLayout
          org.eclipse.amp.agf3d.ScapeEdit3DPart.Scape3DLayoutManager

Enclosing class:
  ScapeEdit3DPart

     class ScapeEdit3DPart.Scape3DLayoutManager

extends XYLayout

Constructor Summary
`ScapeEdit3DPart.Scape3DLayoutManager()`

Method Summary
`protected Dimension` `calculatePreferredSize(IFigure container, int wHint, int hHint)`
`void` `layout(IFigure parent)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScapeEdit3DPart.Scape3DLayoutManager

    ScapeEdit3DPart.Scape3DLayoutManager()

Method Detail

### calculatePreferredSize

    protected Dimension calculatePreferredSize(IFigure container,
                                               int wHint,
                                               int hHint)

  Parameters:
    `container` -
    `wHint` -
    `hHint` -
  Returns:
  See Also:
    `org.eclipse.draw2d.AbstractLayout#calculatePreferredSize(org.eclipse.draw2d.IFigure, int, int)`

### layout

    public void layout(IFigure parent)

  Parameters:
    `container` -
  See Also:
    `org.eclipse.draw2d.LayoutManager#layout(org.eclipse.draw2d.IFigure)`

Copyright (C) 2007-2009 Metascape, LLC, 2009 Miles Parker, 2006-2007 Argonne National Labs, and Contributors